Материнские платы Gigabyte и Windows 10 столкнулись с «проблемой 3000 года»

в 19:18, , рубрики: Гаджеты и устройства для гиков

Материнские платы Gigabyte и Windows 10 столкнулись с «проблемой 3000 года»

Путешественники во времени, берегитесь: так называемая «проблема 2000 года», как оказалось, всё ещё актуальна, правда, в несколько изменившемся виде. Один из пользователей Reddit обнаружил, что, если выбрать в BIOS материнской платы дату после 3000 года и затем установить Windows 10, то система попросту не загрузится.

Сообщается, что установка в настройках BIOS материнской платы Gigabyte даты после 18 января 3001 года приводит к тому, что операционная система Windows 10 оказывается неспособна запуститься при своей первой загрузке после установки. Даже если потом установить верную дату, система всё равно уже не сможет загрузиться. Отмечается, что это касается версии Windows 10 19H2, вышедшей в ноябре 2019 года.

Проблема актуальна для материнских плат компании Gigabyte как на системной логике AMD, так и Intel. К счастью, описанная выше ситуация пока не может возникнуть сама по себе. Её может вызвать только сам пользователь, если вручную введёт дату после 18 января 3001 года. Однако в теории любая дата, пусть и столь далёкая, не должна вызывать проблем с загрузкой системы.

Материнские платы Gigabyte и Windows 10 столкнулись с «проблемой 3000 года»

К счастью, у Gigabyte и Microsoft есть ещё более 980 лет и 10 месяцев для того, чтобы устранить описанную проблему до того, как она станет причиной для беспокойства многих пользователей. Пока что же это не более чем необычный баг, а также предостережение писать дату верно и не ошибаться на несколько веков.

Проблемы с датами не редки в компьютерном мире. Например, в минувшую субботу, 29 февраля, оказалось, что некоторые системы не знали о таком понятии, как «високосный год», и не были готовы к подобной дате, хотя на самом деле это не должно было стать для них сюрпризом. А до этого некоторые системы оказались не готовы к наступлению 2020 года.

Источник

Источник


* - обязательные к заполнению поля


https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js